# mypy too old?
%bcond_with check

Name:		gi-docgen
Version:	2024.1
Release:	%mkrel 1
Summary:	Documentation tool for GObject-based libraries
Group:		Development/Python
License:        (ASL 2.0 or GPLv3+) and MIT and CC0
Url:		https://gitlab.gnome.org/GNOME/gi-docgen
Source0:	https://gitlab.gnome.org/GNOME/gi-docgen/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	meson
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-jinja2
BuildRequires:	python3-markdown
BuildRequires:	python3-markupsafe
BuildRequires:	python3-pygments
BuildRequires:	python3-toml
BuildRequires:	python3-typogrify
BuildRequires:	python3-wheel
BuildRequires:	python3dist(pytest)

%description
GI-DocGen is a document generator for GObject-based libraries. GObject is
the base type system of the GNOME project. GI-Docgen reuses the
introspection data generated by GObject-based libraries to generate the API
reference of these libraries, as well as other ancillary documentation.

%prep
%autosetup

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gidocgen

%if %{with check}
%check
#export PYTHONPATH=%%{buildroot}%%{python3_sitelib}
#%%meson_test
%pytest
%endif

%files -f %{pyproject_files}
%doc README.md
%license LICENSES/*.txt .reuse/dep5
%{_bindir}/%{name}
%{_datadir}/pkgconfig/gi-docgen.pc
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Jun 02 2024 daviddavid <daviddavid> 2024.1-1.mga10
+ Revision: 2069152
- new version 2024.1

* Sat Feb 10 2024 daviddavid <daviddavid> 2023.3-3.mga10
+ Revision: 2040074
- rebuild again to remove old pkgs

* Sat Dec 09 2023 wally <wally> 2023.3-2.mga10
+ Revision: 2016298
- rebuild for py3.12

* Mon Nov 27 2023 daviddavid <daviddavid> 2023.3-1.mga10
+ Revision: 2009937
- new version: 2023.3

* Wed Jan 25 2023 daviddavid <daviddavid> 2023.1-1.mga9
+ Revision: 1936152
- new version: 2023.1

* Sun Nov 13 2022 daviddavid <daviddavid> 2022.2-1.mga9
+ Revision: 1906809
- new version: 2022.2

* Sat Mar 19 2022 tv <tv> 2022.1-1.mga9
+ Revision: 1800411
- Update to 2022.1

* Sat Feb 12 2022 tv <tv> 2021.8-2.mga9
+ Revision: 1773513
- Rebuild for python-3.10

* Thu Jan 13 2022 tv <tv> 2021.8-1.mga9
+ Revision: 1768234
- 2021.8
- new URL

* Sat Mar 27 2021 daviddavid <daviddavid> 2021.3-1.mga9
+ Revision: 1711068
- new version: 2021.3 (based on master from git20210324)

* Fri Mar 26 2021 daviddavid <daviddavid> 2021.2-1.mga9
+ Revision: 1710728
- initial package gi-docgen

